<div>
    <h2>
        <span jhiTranslate="mpmApp.detailBBM.home.title">Detail BBMS</span>
        <button class="btn btn-primary float-right jh-create-entity create-detail-bbm" [routerLink]="['/', { outlets: { popup: ['detail-bbm-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.detailBBM.home.createLabel">
            Create new Detail BBM
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.detailBBM.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <div class="table-responsive" *ngIf="detailBBMS">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="no_bbm"><span jhiTranslate="mpmApp.detailBBM.no_bbm">No Bbm</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="kd_bahan"><span jhiTranslate="mpmApp.detailBBM.kd_bahan">Kd Bahan</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="qty"><span jhiTranslate="mpmApp.detailBBM.qty">Qty</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="satuan"><span jhiTranslate="mpmApp.detailBBM.satuan">Satuan</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="no_po"><span jhiTranslate="mpmApp.detailBBM.no_po">No Po</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="no_batch"><span jhiTranslate="mpmApp.detailBBM.no_batch">No Batch</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="keterangan"><span jhiTranslate="mpmApp.detailBBM.keterangan">Keterangan</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="tgl_exp"><span jhiTranslate="mpmApp.detailBBM.tgl_exp">Tgl Exp</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="tgl_exphal"><span jhiTranslate="mpmApp.detailBBM.tgl_exphal">Tgl Exphal</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="tgl_mfd"><span jhiTranslate="mpmApp.detailBBM.tgl_mfd">Tgl Mfd</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="lokasi"><span jhiTranslate="mpmApp.detailBBM.lokasi">Lokasi</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="no_lpm"><span jhiTranslate="mpmApp.detailBBM.no_lpm">No Lpm</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="id_user"><span jhiTranslate="mpmApp.detailBBM.id_user">Id User</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="tgl_input"><span jhiTranslate="mpmApp.detailBBM.tgl_input">Tgl Input</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="jam_input"><span jhiTranslate="mpmApp.detailBBM.jam_input">Jam Input</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let detailBBM of detailBBMS ;trackBy: trackId">
                <td><a [routerLink]="['../detail-bbm', detailBBM.id ]">{{detailBBM.id}}</a></td>
                <td>{{detailBBM.no_bbm}}</td>
                <td>{{detailBBM.kd_bahan}}</td>
                <td>{{detailBBM.qty}}</td>
                <td>{{detailBBM.satuan}}</td>
                <td>{{detailBBM.no_po}}</td>
                <td>{{detailBBM.no_batch}}</td>
                <td>{{detailBBM.keterangan}}</td>
                <td>{{detailBBM.tgl_exp | date:'medium'}}</td>
                <td>{{detailBBM.tgl_exphal | date:'medium'}}</td>
                <td>{{detailBBM.tgl_mfd | date:'medium'}}</td>
                <td>{{detailBBM.lokasi}}</td>
                <td>{{detailBBM.no_lpm}}</td>
                <td>{{detailBBM.id_user}}</td>
                <td>{{detailBBM.tgl_input | date:'medium'}}</td>
                <td>{{detailBBM.jam_input | date:'medium'}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../detail-bbm', detailBBM.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'detail-bbm/'+ detailBBM.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'detail-bbm/'+ detailBBM.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="detailBBMS && detailBBMS.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
